package com.dsk.jsk.domain.bo;

import lombok.Data;

import java.util.Objects;


/**
 * @ClassName UrbanInvestmentPlatformSubjectLevelDto
 * @Description 信用评级
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
@Data
public class UrbanInvestmentPlatformSubjectLevelDto {

    /**
     * 企业Id
     */
        private Long companyId;
    /**
     * 主体评级
     */
    private String bratingSubjectLevel;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        UrbanInvestmentPlatformSubjectLevelDto that = (UrbanInvestmentPlatformSubjectLevelDto) o;
        return Objects.equals(companyId, that.companyId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(companyId);
    }
}
